@import "package:angular_components/css/material/material";
@import "package:angular_components/material_input/mixins";
@import "style/mdc-layout-grid/mdc-layout-grid";

:host {
  .mdc-layout-grid {
    @include mdc-layout-grid(desktop, $mat-grid);
  }

  .grid-inner {
    @include mdc-layout-grid-inner(desktop, 0, $mat-grid * 2);
  }

  .block-width {
    display: block;
    width: 100%;
  }

  .action-bar {
    display: flex;
    justify-content: flex-end;
  }

  material-input {
    @include input-hide-bottom-section();
    @include input-hide-bottom-spaceholder();

    short-number {
      width: 75px;
    }
  }

  material-auto-suggest-input {
    @include input-hide-bottom-section();
    @include input-hide-bottom-spaceholder();
  }

  [clickableTooltipTarget] {
    color: $mat-light-transparent-black;
    cursor: pointer;
    outline: none;
  }

  .new-field {
    background-color: $mat-green-100;
    color: $mat-green-500;
    border-radius: $mat-grid;
    padding-left: $mat-grid;
    padding-right: $mat-grid;
    padding-bottom: 0;

    [clickableTooltipTarget] {
      &:hover,
      &:focus {
        color: $mat-green-700;
      }
    }
  }

  .modified-field {
    background-color: $mat-red-100;
    color: $mat-red-500;
    border-radius: $mat-grid;
    padding-left: $mat-grid;
    padding-right: $mat-grid;
    padding-bottom: 0;

    [clickableTooltipTarget] {
      &:hover,
      &:focus {
        color: $mat-red-700;
      }
    }
  }

  .conflicted-field {
    background-color: $mat-yellow-100;
    color: $mat-yellow-500;
    border-radius: $mat-grid;
    padding-left: $mat-grid;
    padding-right: $mat-grid;
    padding-bottom: 0;

    [clickableTooltipTarget] {
      &:hover,
      &:focus {
        color: $mat-yellow-700;
      }
    }
  }

  .resolved-field {
    background-color: $mat-blue-100;
    color: $mat-blue-500;
    border-radius: $mat-grid;
    padding-left: $mat-grid;
    padding-right: $mat-grid;
    padding-bottom: 0;

    [clickableTooltipTarget] {
      &:hover,
      &:focus {
        color: $mat-blue-700;
      }
    }
  }
}
